package controller

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb_en_api/controller/resp"
	"hongze/hongze_yb_en_api/models/banner"
)

type PublicController struct {
}

// GetSmsCode 获取首页banner图
// @Tags 用户模块
// @Summary  获取短信验证码
// @Description 获取短信验证码接口
// @Security ApiKeyAuth
// @securityDefinitions.basic BasicAuth
// @Param Mobile	query string true "手机号"
// @Param AreaNum	query string true "手机国际区号（中国大陆：86）"
// @Accept  json
// @Product json
// @Success 200 {string} string 获取验证码成功
// @Failure 400 {string} string 手机号不能为空,请输入手机号
// @Router /banner [get]
func (a *PublicController) Banner(c *gin.Context) {
	list, err := banner.GetBannerList()
	if err != nil {
		resp.FailMsg("获取失败", "获取banner失败, Err: "+err.Error(), c)
		return
	}

	resp.OkData("获取成功", list, c)
}